Restore shared content as a new file state
POST
/v1/disks/{disk}/restorePOST
/v1/disks/{disk}/restore
const url = 'https://api.wabe.sh/v1/disks/demo/restore';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"path":"/notes.txt","version":"f75f43ae-8375-48f0-8bcd-862cb75c26ef"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wabe.sh/v1/disks/demo/restore \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "path": "/notes.txt", "version": "f75f43ae-8375-48f0-8bcd-862cb75c26ef" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Query Parameters
Section titled “Query Parameters”branch
string
commit
string format: uuid
label
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
path
required
string
version
required
string format: uuid
expected_version
object
id
required
string format: uuid
revision
required
integer
Example
{ "path": "/notes.txt", "version": "f75f43ae-8375-48f0-8bcd-862cb75c26ef"}Responses
Section titled “Responses”Metadata of the restored file.
Media typeapplication/json
object
version
required
kind
required
object_id
required
string format: uuid
version_id
required
string format: uuid
branch_id
required
Origin of the version; inherited or imported versions may refer to an internal or deleted branch absent from the branch list.
string format: uuid
revision
required
integer
first_edit_at_ms
required
integer
last_edit_at_ms
required
integer
mode
required
integer
Invalid input.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string